=== debian/changelog ===
byacc-j (1.15-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Java team
    Closes: #1117116
  * Secure URI in Homepage
  * d/watch
     - Fix
     - Version: 5
  * Enable building with CMake 4
    Closes: #1112741
  * Fix build with gcc-15
    Closes: #1096403
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * d/rules: hardening
  * d/dirs: remove

 -- Andreas Tille <tille@debian.org>  Fri, 24 Oct 2025 06:44:49 +0200

byacc-j (1.15-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace deprecated CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 18:17:00 +0100

byacc-j (1.15-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing import. (Closes: #1066201)

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 12:40:14 +0200

byacc-j (1.15-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unmaintained Vcs fields.
  * Convert to source format 3.0. (Closes: #1007042)

 -- Bastian Germann <bage@debian.org>  Mon, 21 Aug 2023 22:02:35 +0000

byacc-j (1.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debhelper version from 6 to 7 (Closes: #965444). Consequently:
    - debian/compat: Bump debhelper compat level from 6 to 7.
    - debian/control: Change debhelper version from 6 to 7 in Build-Depends.

 -- Marcos Talau <marcos@talau.info>  Fri, 08 Apr 2022 13:55:53 -0300

byacc-j (1.15-1) unstable; urgency=low

  * Initial release (closes: 532933)

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 13 May 2009 20:59:05 +0100
