=== debian/control ===
Source: byacc-j
Standards-Version: 4.7.2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Ludovic Claude <ludovic.claude@laposte.net>,
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Vcs-Browser: https://salsa.debian.org/java-team/byacc-j
Vcs-Git: https://salsa.debian.org/java-team/byacc-j.git
Homepage: https://byaccj.sourceforge.net/

Package: byacc-j
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Berkeley YACC parser generator extended to generate Java code
 BYACC/J is an extension of the Berkeley v 1.8 YACC-compatible parser
 generator.
 .
 Standard YACC takes a YACC source file, and generates one or more C files from
 it, which if compiled properly, will produce a LALR-grammar parser. This is
 useful for expression parsing, interactive command parsing, and file reading.
 Many megabytes of YACC code have been written over the years.
 .
 This is the standard YACC tool that is in use every day to produce C/C++
 parsers.
 .
 A "-J" flag was added which will cause BYACC to generate Java source code,
 instead. So there finally is a YACC for Java now!
