=== debian/watch ===
Version: 5

Source: https://sf.net/byaccj/
Matching-Pattern: byaccj@ANY_VERSION@_src@ARCHIVE_EXT@
